| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__MediaGateway Class Reference
Media Server

Media Gateway data. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__ResourceStatus | AdminStatus
| Gateway Blocked or made active. More...
enum unsp__ResourceStatus * | OperationalStatus
| Operational Status value. More...
xsd__string | OperationalStatusStr
| Operational Status description. More...
xsd__string | GatewayName
| Name of the media gateway. More...
enum unsp__GatewayProtocolType | GatewayProtocolType
| Type of protocol associated with gateway. More...
enum unsp__GatewayProtocolVersion | GatewayProtocolVersion
| Version of the protocol used to communicate with gateway. More...
unsp__ArrayOfInt | MgListenPort
| Media Gateway listen ports. More...
unsp__ArrayOfInt | MgReceivePort
| Media Gateway receive ports. More...
xsd__string | MgCircuitFormat
| Circuit format supported by the gateway. More...
struct unsp__MediaGatewayNetworkTypes | NetworkTypes
| Information on the type of network on which the gateway is located. More...
xsd__string | MgAddrCallp
| Ip Address of the Media gateway controller (Openscape Voice ccm). More...
xsd__unsignedInt | Timeout
| Timeout interval for MGCP requests sent to gateway. More...
xsd__unsignedInt | RetryCount
| Number of times to retry the mgcp requests. More...
enum unsp__GatewayKeepAlive | KeepAlive
| Keep Alive. More...
enum unsp__IPAddressAllocMethod | IpAddrAllocMethod
| IpAddress allocation method. More...
xsd__string | Fqdn
| Fully qualified domain name for the media gateway. More...
xsd__string | LocalClli
| Common language location identifier. More...
enum unsp__GatewayAssignmentMethod | GwAssignMethod
| Method for choosing the gateway. More...
enum unsp__MSVersion * | MediaServerVersion
| Media Server Version. More...
xsd__int | TimerHist
| Transaction History timer. More...
xsd__int | TimerMax
| Maximum retransmission timer. More...
xsd__int | TransmissionTimerLen
| Transmission Timer Len. More...
enum unsp__T38FaxRelay | FaxT38Relay
enum unsp__DtmfRelay | DtmfRelay
enum unsp__MultiHoming | MultiHomingFlag
| Indicates whether MultiHoming is enabled or not. More...
struct unsp__MediaGatewayGwAttributes * | GwAttributes
| Media Gateway Attributes. More...
enum unsp__OverLoadStatus | OverloadStatus
| Overload Status. More...
enum unsp__YesNo | OverloadSupport
| Indicates whether overload support is enabled or not. More...
enum unsp__YesNo | OverloadAllowCaleaCalls
enum unsp__YesNo | OverloadAllowTwCalls
| Indicates whether or not three way calls are allowed while in overload. More...
xsd__int | OverloadReturnCodeOne
| Associated Return Code - Level 1. More...
xsd__int | OverloadReturnCodeTwo
| Associated Return Code - Level 2. More...
xsd__int | OverloadReturnCodeThree
| Associated Return Code - Level 3. More...
xsd__int | OverloadGapIntervalOne
| Gap Interval - Level 1. More...
xsd__int | OverloadGapIntervalTwo
| Gap Interval - Level 2. More...
xsd__int | OverloadGapIntervalThree
| Gap Interval - Level 3. More...
xsd__int * | MaxNumOfConfPortsPerConf
| MaxNumOfConfPortsPerConf. More...
xsd__int * | MaxNumOfConfPortsPerConfForSCC
| MaxNumOfConfPortsPerConfForSCC. More...
xsd__int * | SystemConfPorts
| SystemConfPorts. More...
xsd__int * | AvailableConfPorts
| AvailableConfPorts. More...
xsd__string | MgLocationDomain
| Location Domain name. More...

## Detailed Description

Media Gateway data.

## Member Data Documentation

## ◆ AdminStatus

enum unsp__ResourceStatus unsp__MediaGateway::AdminStatus

Gateway Blocked or made active.

default value[range]: NA

## ◆ AvailableConfPorts

xsd__int* unsp__MediaGateway::AvailableConfPorts

AvailableConfPorts.

default value[range]: NA

## ◆ DtmfRelay

enum unsp__DtmfRelay unsp__MediaGateway::DtmfRelay

Deprecated:
  NA

## ◆ FaxT38Relay

enum unsp__T38FaxRelay unsp__MediaGateway::FaxT38Relay

Deprecated:
  NA

## ◆ Fqdn

xsd__string unsp__MediaGateway::Fqdn

Fully qualified domain name for the media gateway.

default value[range]: NA

## ◆ GatewayName

xsd__string unsp__MediaGateway::GatewayName

Name of the media gateway.

default value[range]: NA

## ◆ GatewayProtocolType

enum unsp__GatewayProtocolType unsp__MediaGateway::GatewayProtocolType

Type of protocol associated with gateway.

default value[range]: NA

## ◆ GatewayProtocolVersion

enum unsp__GatewayProtocolVersion unsp__MediaGateway::GatewayProtocolVersion

Version of the protocol used to communicate with gateway.

default value[range]: NA

## ◆ GwAssignMethod

enum unsp__GatewayAssignmentMethod unsp__MediaGateway::GwAssignMethod

Method for choosing the gateway.

default value[range]: NA

## ◆ GwAttributes

struct unsp__MediaGatewayGwAttributes* unsp__MediaGateway::GwAttributes

Media Gateway Attributes.

default value[range]: NA

## ◆ IpAddrAllocMethod

enum unsp__IPAddressAllocMethod unsp__MediaGateway::IpAddrAllocMethod

IpAddress allocation method.

default value[range]: IpAmUndefined

## ◆ KeepAlive

enum unsp__GatewayKeepAlive unsp__MediaGateway::KeepAlive

Keep Alive.

default value[range]: NA

## ◆ LocalClli

xsd__string unsp__MediaGateway::LocalClli

Common language location identifier.

default value[range]: NA

## ◆ MaxNumOfConfPortsPerConf

xsd__int* unsp__MediaGateway::MaxNumOfConfPortsPerConf

MaxNumOfConfPortsPerConf.

default value[range]: NA

## ◆ MaxNumOfConfPortsPerConfForSCC

xsd__int* unsp__MediaGateway::MaxNumOfConfPortsPerConfForSCC

MaxNumOfConfPortsPerConfForSCC.

default value[range]: NA

## ◆ MediaServerVersion

enum unsp__MSVersion* unsp__MediaGateway::MediaServerVersion

Media Server Version.

default value[range]: NA

## ◆ MgAddrCallp

xsd__string unsp__MediaGateway::MgAddrCallp

Ip Address of the Media gateway controller (Openscape Voice ccm).

default value[range]: NA

## ◆ MgCircuitFormat

xsd__string unsp__MediaGateway::MgCircuitFormat

Circuit format supported by the gateway.

default value[range]: NA

## ◆ MgListenPort

unsp__ArrayOfInt unsp__MediaGateway::MgListenPort

Media Gateway listen ports.

default value[range]: NA

## ◆ MgLocationDomain

xsd__string unsp__MediaGateway::MgLocationDomain

Location Domain name.

default value[range]: NA [1..64]

## ◆ MgReceivePort

unsp__ArrayOfInt unsp__MediaGateway::MgReceivePort

Media Gateway receive ports.

default value[range]: NA

## ◆ MultiHomingFlag

enum unsp__MultiHoming unsp__MediaGateway::MultiHomingFlag

Indicates whether MultiHoming is enabled or not.

Note that this flag can never be reset by a Modify Media gateway command (it can be set from false to true but not from true to false - in order to do this, the media gateway must be removed and then created again).
default value[range]: NA

## ◆ NetworkTypes

struct unsp__MediaGatewayNetworkTypes unsp__MediaGateway::NetworkTypes

Information on the type of network on which the gateway is located.

default value[range]: NA

## ◆ OperationalStatus

enum unsp__ResourceStatus* unsp__MediaGateway::OperationalStatus

Operational Status value.

default value[range]: NA

## ◆ OperationalStatusStr

xsd__string unsp__MediaGateway::OperationalStatusStr

Operational Status description.

default value[range]: NA

## ◆ OverloadAllowCaleaCalls

enum unsp__YesNo unsp__MediaGateway::OverloadAllowCaleaCalls

Deprecated:
  NA

## ◆ OverloadAllowTwCalls

enum unsp__YesNo unsp__MediaGateway::OverloadAllowTwCalls

Indicates whether or not three way calls are allowed while in overload.

default value[range]: NA

## ◆ OverloadGapIntervalOne

xsd__int unsp__MediaGateway::OverloadGapIntervalOne

Gap Interval - Level 1.

default value[range]: NA [0, 400..499]

## ◆ OverloadGapIntervalThree

xsd__int unsp__MediaGateway::OverloadGapIntervalThree

Gap Interval - Level 3.

default value[range]: NA [0, 400..499]

## ◆ OverloadGapIntervalTwo

xsd__int unsp__MediaGateway::OverloadGapIntervalTwo

Gap Interval - Level 2.

default value[range]: NA [0, 400..499]

## ◆ OverloadReturnCodeOne

xsd__int unsp__MediaGateway::OverloadReturnCodeOne

Associated Return Code - Level 1.

default value[range]: NA [0..9999999999 ]

## ◆ OverloadReturnCodeThree

xsd__int unsp__MediaGateway::OverloadReturnCodeThree

Associated Return Code - Level 3.

default value[range]: NA [0..9999999999 ]

## ◆ OverloadReturnCodeTwo

xsd__int unsp__MediaGateway::OverloadReturnCodeTwo

Associated Return Code - Level 2.

default value[range]: NA [0..9999999999 ]

## ◆ OverloadStatus

enum unsp__OverLoadStatus unsp__MediaGateway::OverloadStatus

Overload Status.

default value[range]: NA

## ◆ OverloadSupport

enum unsp__YesNo unsp__MediaGateway::OverloadSupport

Indicates whether overload support is enabled or not.

default value[range]: YnNo

## ◆ RetryCount

xsd__unsignedInt unsp__MediaGateway::RetryCount

Number of times to retry the mgcp requests.

default value[range]: NA

## ◆ SystemConfPorts

xsd__int* unsp__MediaGateway::SystemConfPorts

SystemConfPorts.

default value[range]: NA

## ◆ Timeout

xsd__unsignedInt unsp__MediaGateway::Timeout

Timeout interval for MGCP requests sent to gateway.

default value[range]: NA

## ◆ TimerHist

xsd__int unsp__MediaGateway::TimerHist

Transaction History timer.

default value[range]: NA

## ◆ TimerMax

xsd__int unsp__MediaGateway::TimerMax

Maximum retransmission timer.

default value[range]: NA

## ◆ TransmissionTimerLen

xsd__int unsp__MediaGateway::TransmissionTimerLen

Transmission Timer Len.

default value[range]: NA

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h